RSS automations
GET https://pushye.com/api/rss-automations/
curl --request GET \
--url 'https://pushye.com/api/rss-automations/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/rss-automations/' \
--header 'Authorization: Bearer {api_key}' \
| Параметры | Детали | Описание |
|---|---|---|
| search | Необязательный Строка | Строка поиска. |
| search_by | Необязательный Строка | По какому полю вы ищете? Разрешенные значения: name, title, description, url, rss_url. |
| website_id | Необязательный Целое число | |
| datetime_field | Необязательный Строка | Разрешенные значения: last_check_datetime, next_check_datetime, datetime, last_datetime |
| datetime_start | Необязательный Строка | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Необязательный Строка | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Необязательный Строка | По какому полю отсортировать результаты. Разрешенные значения: rss_automation_id, datetime, last_datetime, last_check_datetime, next_check_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | Необязательный Строка | Порядок результатов. Разрешенные значения: ASC для восходящего порядка и DESC для нисходящего порядка. |
| page | Необязательный Целое число | Номер страницы, с которой вы хотите получить результаты. По умолчанию 1. |
| results_per_page | Необязательный Целое число | Сколько результатов вы хотите на странице. Допустимые значения: 10, 25, 50, 100, 250, 500, 1000. По умолчанию 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_url": "https://example.com/feex.xml",
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"check_interval_seconds": 60,
"items_count": 3,
"campaigns_delay": 15
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-28 17:00:26",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pushye.com/api/rss-automations?page=1",
"last": "https://pushye.com/api/rss-automations?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/rss-automations?page=1"
}
}
GET https://pushye.com/api/rss-automations/{rss_automation_id}
curl --request GET \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_url": "https://example.com/feex.xml",
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"check_interval_seconds": 60,
"items_count": 3,
"campaigns_delay": 15
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-28 17:00:26",
}
}
POST https://pushye.com/api/rss-automations
| Параметры | Детали | Описание |
|---|---|---|
| website_id | Обязательно Целое число | - |
| rss_url | Необязательный Строка | - |
| name | Обязательно Строка | - |
| title | Обязательно Строка | - |
| description | Обязательно Строка | - |
| url | Необязательный Строка | - |
| image | Необязательный Файл | - |
| button_title_1 | Необязательный Строка | - |
| button_url_1 | Необязательный Строка | - |
| button_title_2 | Необязательный Строка | - |
| button_url_2 | Необязательный Строка | - |
| is_silent | Необязательный Булевый | - |
| is_auto_hide | Необязательный Булевый | - |
| ttl | Необязательный Строка | Разрешенные значения: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Необязательный Строка | - |
| utm_medium | Необязательный Строка | - |
| utm_campaign | Необязательный Строка | - |
| check_interval_seconds | Необязательный Строка | Разрешенные значения: 900, 1800, 3600, 21600, 43200, 86400, 259200 (секунды) |
| items_count | Необязательный Строка | Разрешенные значения: 1 - 100 |
| campaigns_delay | Необязательный Строка | Разрешенные значения: 5 - 1440 |
| unique_item_identifier | Необязательный Строка | Разрешенные значения: url, publication_date, id |
| use_rss_image | Необязательный Булевый | - |
| disable_rss_automation_on_fail | Необязательный Булевый | - |
| is_enabled | Необязательный Булевый | - |
curl --request POST \
--url 'https://pushye.com/api/rss-automations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
--url 'https://pushye.com/api/rss-automations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
"data": {
"id": 1
}
}
POST https://pushye.com/api/rss-automations/{rss_automation_id}
| Параметры | Детали | Описание |
|---|---|---|
| website_id | Необязательный Целое число | - |
| rss_url | Необязательный Строка | - |
| name | Необязательный Строка | - |
| title | Необязательный Строка | - |
| description | Необязательный Строка | - |
| url | Необязательный Строка | - |
| image | Необязательный Файл | - |
| button_title_1 | Необязательный Строка | - |
| button_url_1 | Необязательный Строка | - |
| button_title_2 | Необязательный Строка | - |
| button_url_2 | Необязательный Строка | - |
| is_silent | Необязательный Булевый | - |
| is_auto_hide | Необязательный Булевый | - |
| ttl | Необязательный Строка | Разрешенные значения: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Необязательный Строка | - |
| utm_medium | Необязательный Строка | - |
| utm_campaign | Необязательный Строка | - |
| check_interval_seconds | Необязательный Строка | Разрешенные значения: 900, 1800, 3600, 21600, 43200, 86400, 259200 (секунды) |
| items_count | Необязательный Строка | Разрешенные значения: 1 - 100 |
| campaigns_delay | Необязательный Строка | Разрешенные значения: 5 - 1440 |
| unique_item_identifier | Необязательный Строка | Разрешенные значения: url, publication_date, id |
| use_rss_image | Необязательный Булевый | - |
| disable_rss_automation_on_fail | Необязательный Булевый | - |
| is_enabled | Необязательный Булевый | - |
curl --request POST \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
"data": {
"id": 1
}
}
DELETE https://pushye.com/api/rss-automations/{rss_automation_id}
curl --request DELETE \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \